For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETCheck Existence of Customer Email
              • GETList Users
              • POSTCreate User
              • GETGet User Information
              • PUTUpdate User Information
              • DELDelete User
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyUsers

List Users

GET
https://api-b2b.bigcommerce.com/api/v2/users
GET
/api/v2/users
$curl -G https://api-b2b.bigcommerce.com/api/v2/users \
> -H "Authorization: Bearer <token>" \
> -d role=0 \
> -d limit=10 \
> -d offset=0
200Retrieved
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "list": [
6 {
7 "firstName": "Marie",
8 "lastName": "Curie",
9 "email": "m.curie@greatbuys.com",
10 "id": "123",
11 "role": "1",
12 "phoneNumber": "8001234567",
13 "createdAt": "1618794615",
14 "updatedAt": "1618794615"
15 }
16 ],
17 "pagination": {
18 "totalCount": 175,
19 "offset": 0,
20 "limit": 10
21 }
22 }
23}
Returns a list of a Company’s users by role. Equivalent Storefront GraphQL API Query: `users`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). The `role` parameter allows you to filter for users that have a predefined Company role. You can also view all users in a Company, or users with an unknown role.
Was this page helpful?
Previous

Check Existence of Customer Email

Next

Create User

Built with

Returns a list of a Company’s users by role.

Equivalent Storefront GraphQL API Query: users. For more information, see the GraphQL Playground.

The role parameter allows you to filter for users that have a predefined Company role. You can also view all users in a Company, or users with an unknown role.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

qstringOptional
The search string for the request.
roleenumRequired

The ID of the role assigned to the Company user account as given below.

ValueCode
0Admin
1Senior Buyer
2Junior Buyer
3Super Admin
4Unknown
Allowed values:
limitstringOptionalDefaults to 10
The total number of items per page of the response.
offsetstringOptional
The number of items to skip before the current page of the response.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject